# Token Information

These API calls allow a logged in user to obtain information about their current token and what permissions/access they can request on subsequent tokens.

## Return the list of authorized scopes/permissions for your token

> Get a list of scopes/permissions currently authorized for your token.

```json
{"openapi":"3.0.3","info":{"title":"Synergy Sports - Auth API","version":"1.0.0"},"tags":[{"name":"Token Information","description":"These API calls allow a logged in user to obtain information about their current token and what permissions/access they can request on subsequent tokens."}],"servers":[{"url":"https://token.connect.sportradar.com/v1","description":"Production server"},{"url":"https://token.stg.connect-nonprod.sportradar.dev/v1","description":"NonProduction/Staging server"}],"paths":{"/info/scopes/authorized":{"get":{"tags":["Token Information"],"summary":"Return the list of authorized scopes/permissions for your token","description":"Get a list of scopes/permissions currently authorized for your token.","operationId":"getTokenInfoScopeAuthorized","responses":{"200":{"$ref":"#/components/responses/ScopeListResponse"},"default":{"$ref":"#/components/responses/ErrorResponse"}}}}},"components":{"responses":{"ScopeListResponse":{"description":"Scope List Response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"description":"The scope/permission","type":"string"}},"meta":{"$ref":"#/components/schemas/ResponseMetaData"}}}}}},"ErrorResponse":{"description":"Error","content":{"application/json":{"schema":{"properties":{"error":{"$ref":"#/components/schemas/ErrorModel"},"meta":{"$ref":"#/components/schemas/ResponseMetaData"}},"type":"object"}}}}},"schemas":{"ResponseMetaData":{"properties":{"code":{"description":"The HTTP response code for this request","type":"integer"},"codeVersion":{"description":"A string indicating the version of the code that handled this request","type":"string"},"generationTime":{"description":"The number of seconds taken to generate this request.","format":"float","type":"number"},"time":{"description":"The date/time this request was made (in UTC).","format":"date-time","type":"string"},"version":{"description":"The version of the API in use for this call","type":"string"}},"type":"object"},"ErrorModel":{"properties":{"code":{"description":"HTTP Error code indicating the type of error.  If there are multiple errors, then this will be the code of the first one.","format":"int32","type":"integer"},"errors":{"items":{"$ref":"#/components/schemas/ErrorListModel"},"type":"array"},"message":{"description":"A message indicating the reason for the error. If there are multiple errors, then this is the message for the first one.","type":"string"}},"type":"object"},"ErrorListModel":{"properties":{"code":{"description":"HTTP Error code indicating the type of error.","format":"int32","type":"integer"},"message":{"description":"A message indicating the reason for the error","type":"string"},"reason":{"description":"A short code indicating the type of error","enum":["INVALID_DATA","NOT_FOUND","NOT_AUTHORISED","ERROR"]}},"type":"object"}}}}
```

## Return the list of all scopes/permissions that you could request for your token

> Get a list of scopes/permissions available for you to request for your token.

```json
{"openapi":"3.0.3","info":{"title":"Synergy Sports - Auth API","version":"1.0.0"},"tags":[{"name":"Token Information","description":"These API calls allow a logged in user to obtain information about their current token and what permissions/access they can request on subsequent tokens."}],"servers":[{"url":"https://token.connect.sportradar.com/v1","description":"Production server"},{"url":"https://token.stg.connect-nonprod.sportradar.dev/v1","description":"NonProduction/Staging server"}],"paths":{"/info/scopes/available":{"get":{"tags":["Token Information"],"summary":"Return the list of all scopes/permissions that you could request for your token","description":"Get a list of scopes/permissions available for you to request for your token.","operationId":"getTokenInfoScopeAvailable","responses":{"200":{"$ref":"#/components/responses/ScopeListResponse"},"default":{"$ref":"#/components/responses/ErrorResponse"}}}}},"components":{"responses":{"ScopeListResponse":{"description":"Scope List Response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"description":"The scope/permission","type":"string"}},"meta":{"$ref":"#/components/schemas/ResponseMetaData"}}}}}},"ErrorResponse":{"description":"Error","content":{"application/json":{"schema":{"properties":{"error":{"$ref":"#/components/schemas/ErrorModel"},"meta":{"$ref":"#/components/schemas/ResponseMetaData"}},"type":"object"}}}}},"schemas":{"ResponseMetaData":{"properties":{"code":{"description":"The HTTP response code for this request","type":"integer"},"codeVersion":{"description":"A string indicating the version of the code that handled this request","type":"string"},"generationTime":{"description":"The number of seconds taken to generate this request.","format":"float","type":"number"},"time":{"description":"The date/time this request was made (in UTC).","format":"date-time","type":"string"},"version":{"description":"The version of the API in use for this call","type":"string"}},"type":"object"},"ErrorModel":{"properties":{"code":{"description":"HTTP Error code indicating the type of error.  If there are multiple errors, then this will be the code of the first one.","format":"int32","type":"integer"},"errors":{"items":{"$ref":"#/components/schemas/ErrorListModel"},"type":"array"},"message":{"description":"A message indicating the reason for the error. If there are multiple errors, then this is the message for the first one.","type":"string"}},"type":"object"},"ErrorListModel":{"properties":{"code":{"description":"HTTP Error code indicating the type of error.","format":"int32","type":"integer"},"message":{"description":"A message indicating the reason for the error","type":"string"},"reason":{"description":"A short code indicating the type of error","enum":["INVALID_DATA","NOT_FOUND","NOT_AUTHORISED","ERROR"]}},"type":"object"}}}}
```

## Return the list of the currently authorized access for your token

> Get a list of access currently authorized for your token. This call will only work where the token is for \`datacore\`.

```json
{"openapi":"3.0.3","info":{"title":"Synergy Sports - Auth API","version":"1.0.0"},"tags":[{"name":"Token Information","description":"These API calls allow a logged in user to obtain information about their current token and what permissions/access they can request on subsequent tokens."}],"servers":[{"url":"https://token.connect.sportradar.com/v1","description":"Production server"},{"url":"https://token.stg.connect-nonprod.sportradar.dev/v1","description":"NonProduction/Staging server"}],"paths":{"/info/access/authorized":{"get":{"tags":["Token Information"],"summary":"Return the list of the currently authorized access for your token","description":"Get a list of access currently authorized for your token. This call will only work where the token is for `datacore`.","operationId":"getTokenInfoAccessAuthorized","responses":{"200":{"$ref":"#/components/responses/AccessListResponse"},"default":{"$ref":"#/components/responses/ErrorResponse"}}}}},"components":{"responses":{"AccessListResponse":{"description":"Access List Response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"organizations":{"type":"array","items":{"type":"object","properties":{"sport":{"description":"The sport for the organization","type":"string"},"organizationId":{"description":"The unique code of the organization","type":"string"},"nameLocal":{"description":"The name of the organization (in local language)","type":"string"},"nameLatin":{"description":"The name of the organization (in latin characters)","type":"string"}}}},"organizationGroups":{"type":"array","items":{"type":"object","properties":{"sport":{"description":"The sport for the organization group","type":"string"},"orgGroup":{"description":"The unique code of the organization group","type":"string"}}}}}},"meta":{"$ref":"#/components/schemas/ResponseMetaData"}}}}}},"ErrorResponse":{"description":"Error","content":{"application/json":{"schema":{"properties":{"error":{"$ref":"#/components/schemas/ErrorModel"},"meta":{"$ref":"#/components/schemas/ResponseMetaData"}},"type":"object"}}}}},"schemas":{"ResponseMetaData":{"properties":{"code":{"description":"The HTTP response code for this request","type":"integer"},"codeVersion":{"description":"A string indicating the version of the code that handled this request","type":"string"},"generationTime":{"description":"The number of seconds taken to generate this request.","format":"float","type":"number"},"time":{"description":"The date/time this request was made (in UTC).","format":"date-time","type":"string"},"version":{"description":"The version of the API in use for this call","type":"string"}},"type":"object"},"ErrorModel":{"properties":{"code":{"description":"HTTP Error code indicating the type of error.  If there are multiple errors, then this will be the code of the first one.","format":"int32","type":"integer"},"errors":{"items":{"$ref":"#/components/schemas/ErrorListModel"},"type":"array"},"message":{"description":"A message indicating the reason for the error. If there are multiple errors, then this is the message for the first one.","type":"string"}},"type":"object"},"ErrorListModel":{"properties":{"code":{"description":"HTTP Error code indicating the type of error.","format":"int32","type":"integer"},"message":{"description":"A message indicating the reason for the error","type":"string"},"reason":{"description":"A short code indicating the type of error","enum":["INVALID_DATA","NOT_FOUND","NOT_AUTHORISED","ERROR"]}},"type":"object"}}}}
```

## Return the list of all access that you could request for your token

> Get a list of access available for you to request for your token. This call will only work where the token is for \`datacore\`.

```json
{"openapi":"3.0.3","info":{"title":"Synergy Sports - Auth API","version":"1.0.0"},"tags":[{"name":"Token Information","description":"These API calls allow a logged in user to obtain information about their current token and what permissions/access they can request on subsequent tokens."}],"servers":[{"url":"https://token.connect.sportradar.com/v1","description":"Production server"},{"url":"https://token.stg.connect-nonprod.sportradar.dev/v1","description":"NonProduction/Staging server"}],"paths":{"/info/access/available":{"get":{"tags":["Token Information"],"summary":"Return the list of all access that you could request for your token","description":"Get a list of access available for you to request for your token. This call will only work where the token is for `datacore`.","operationId":"getTokenInfoAccessAvailable","responses":{"200":{"$ref":"#/components/responses/AccessListResponse"},"default":{"$ref":"#/components/responses/ErrorResponse"}}}}},"components":{"responses":{"AccessListResponse":{"description":"Access List Response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"organizations":{"type":"array","items":{"type":"object","properties":{"sport":{"description":"The sport for the organization","type":"string"},"organizationId":{"description":"The unique code of the organization","type":"string"},"nameLocal":{"description":"The name of the organization (in local language)","type":"string"},"nameLatin":{"description":"The name of the organization (in latin characters)","type":"string"}}}},"organizationGroups":{"type":"array","items":{"type":"object","properties":{"sport":{"description":"The sport for the organization group","type":"string"},"orgGroup":{"description":"The unique code of the organization group","type":"string"}}}}}},"meta":{"$ref":"#/components/schemas/ResponseMetaData"}}}}}},"ErrorResponse":{"description":"Error","content":{"application/json":{"schema":{"properties":{"error":{"$ref":"#/components/schemas/ErrorModel"},"meta":{"$ref":"#/components/schemas/ResponseMetaData"}},"type":"object"}}}}},"schemas":{"ResponseMetaData":{"properties":{"code":{"description":"The HTTP response code for this request","type":"integer"},"codeVersion":{"description":"A string indicating the version of the code that handled this request","type":"string"},"generationTime":{"description":"The number of seconds taken to generate this request.","format":"float","type":"number"},"time":{"description":"The date/time this request was made (in UTC).","format":"date-time","type":"string"},"version":{"description":"The version of the API in use for this call","type":"string"}},"type":"object"},"ErrorModel":{"properties":{"code":{"description":"HTTP Error code indicating the type of error.  If there are multiple errors, then this will be the code of the first one.","format":"int32","type":"integer"},"errors":{"items":{"$ref":"#/components/schemas/ErrorListModel"},"type":"array"},"message":{"description":"A message indicating the reason for the error. If there are multiple errors, then this is the message for the first one.","type":"string"}},"type":"object"},"ErrorListModel":{"properties":{"code":{"description":"HTTP Error code indicating the type of error.","format":"int32","type":"integer"},"message":{"description":"A message indicating the reason for the error","type":"string"},"reason":{"description":"A short code indicating the type of error","enum":["INVALID_DATA","NOT_FOUND","NOT_AUTHORISED","ERROR"]}},"type":"object"}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/datacore/auth-api/token-information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
